#include <cstdlib>

import Grid;

// Konstantendefinitionen
constexpr short ROWS = 5;
constexpr short COLS = 5;

int main()
{
    // Tabelle anlegen
    auto pGrid = new Grid{ROWS, COLS};

    // Zellen mit Zufallszahlen belegen
    for (auto rIndex=0; rIndex<ROWS; rIndex++)
        for (auto cIndex=0; cIndex<COLS; cIndex++)
            pGrid->SetCell(rIndex,cIndex,std::rand()%100);

    // Tabelle ausgeben
    pGrid->PrintIt();

    // Diagonale der Tabelle mit -1 belegen
    constexpr auto maxDim = (ROWS>COLS)?COLS:ROWS;
    for (auto index=0; index<maxDim; index++)
        pGrid->SetCell(index,index,-1);

    // Tabelle nochmals ausgeben
    pGrid->PrintIt();

    // Tabelle nun auch wieder löschen!
    delete pGrid;
}
